GLSA-200803-07 : Paramiko: Information disclosure

This script is Copyright (C) 2008-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200803-07
(Paramiko: Information disclosure)

Dwayne C. Litzenberger reported that the file 'common.py' does not
properly use RandomPool when using threads or forked processes.

Impact :

A remote attacker could predict the values generated by applications
using Paramiko for encryption purposes, potentially gaining access to
sensitive information.

Workaround :

There is no known workaround at this time.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200803-07.xml

Solution :

All Paramiko users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=dev-python/paramiko-1.7.2'

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 31382 (gentoo_GLSA-200803-07.nasl)

Bugtraq ID:

CVE ID: CVE-2008-0299